Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class ColumnInformationBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.ColumnInformationBean

public class ColumnInformationBean
extends BaseBean

Column information for a portal/category bean implementation.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `categoryName` The category name.
`int` | `columnOrder`
`int` | `columnWidth` The column width.
`java.lang.String` | `portalName` The portal name.

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`ColumnInformationBean()`

Method Summary
`void` | `ejbCreate(ColumnInformationPK pk)` Ejb create.
`void` | `ejbPostCreate(ColumnInformationPK pk)` Ejb post create.
`java.lang.String` | `getCategoryName()` Get category name.
`int` | `getColumnOrder()` Get column order.
`int` | `getColumnWidth()` Get column width in percent.
`java.lang.String` | `getPortalName()` Get portal name.
`void` | `setColumnOrder(int anOrder)` Set column order.
`void` | `setColumnWidth(int aWidth)` Set column width in percent.

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portalName

    public java.lang.String portalName

  The portal name.

### categoryName

    public java.lang.String categoryName

  The category name.

### columnWidth

    public int columnWidth

  The column width.

### columnOrder

    public int columnOrder

Constructor Detail

### ColumnInformationBean

    public ColumnInformationBean()

Method Detail

### ejbCreate

    public void ejbCreate(ColumnInformationPK pk)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Ejb create.
  Parameters:
    `pk` - the column information primary key.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### ejbPostCreate

    public void ejbPostCreate(ColumnInformationPK pk)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Ejb post create.
  Parameters:
    `pk` - the column information primary key.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Returns:
    `String` the portal name.

### getCategoryName

    public java.lang.String getCategoryName()

  Get category name.
  Returns:
    `String` the category name.

### getColumnWidth

    public int getColumnWidth()

  Get column width in percent.
  Returns:
    `int` the column width in percent.

### setColumnWidth

    public void setColumnWidth(int aWidth)

  Set column width in percent.
  Parameters:
    `aWidth` - the column width in percent.

### getColumnOrder

    public int getColumnOrder()

  Get column order.
  Returns:
    `int` the colum order.

### setColumnOrder

    public void setColumnOrder(int anOrder)

  Set column order.
  Parameters:
    `anOrder` - the column order.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved